Subject: Re: [TR] advice needed

From: [email-masked]
Date: Wed, 17 Oct 2012 07:59:19 -0400 (EDT)

It's not uncommon for the float valves in the carburetors to stick closed.  
Give them a wrap with the plastic handle of a screwdriver and see if that 
helps.  If you do this with the electric fuel pump running you will hear a 
slight change in the pitch and you will probably hear the fuel flowing into 
the carb float bowl.

Dave

In a message dated 10/17/2012 6:24:29 AM Central Daylight Time, 
[email-masked] writes: 
> car is a 75 spitfire, but the spit list isnbt nearly as helpful, plus 
> the
> technology is similar, so indulge me please
> 
> when I got the car the fuel pump was not working; bought a cheapie off of 
> ebay
> and car ran fine for months.  no issues.
> 
> car ran fine a few weeks ago; I donbt run this car every day, but I do 
> try
> to drive it every other week or so.  its probably been a month since I ran
> it.
> 
> car would not start
> 
> shots of starter fluid caused it to crank up then die, so clearly itbs a
> fuel delivery problem

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]